<?php

namespace Modules\Additional\Specifique\Client13\Modules\Panier\Service;

use Helpers\Outil\Sql;

class CsPanierService
{
    /**
     * @var \PDO $pdo
     */
    public $pdo;

    /**
     * @param \PDO $pdo
     */
    public function __construct($pdo)
    {
        $this->pdo = $pdo;
    }

    /**
     * @return array<mixed>
     */
    public function numCS()
    {
        $numCSMutualisation     = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_MUTUALISATION');
        $numCSAcdVeolia         = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_ACD_VEOLIA');
        $numCSAcdSEM            = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_ACD_GRP_SEM');
        $numCSCttSupEgal        = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_CONTRAT_SUPEG');
        $numCSCttInf            = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_CONTRAT_INF');
        $numCSConsultSimplie    = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_CONSULT_SIMPLE');
        $numCSCdeSansConsult    = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_CDE_SANS_CONSULT');

        $numAcd                 = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_ACCORD_CADRE');
        $numCSDerog             = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_DEROGATION');
        $numCSDerogTxt          = Sql::dilispec($this->pdo, 'SEMPARAM', 'NCS_DA_ENTET_DEROG_TXT_EXPL');

        return [
            'numCSMutualisation'    => $numCSMutualisation,
            'numCSAcdVeolia'        => $numCSAcdVeolia,
            'numCSAcdSEM'           => $numCSAcdSEM,
            'numCSCttSupEgal'       => $numCSCttSupEgal,
            'numCSCttInf'           => $numCSCttInf,
            'numCSConsultSimplie'   => $numCSConsultSimplie,
            'numCSCdeSansConsult'   => $numCSCdeSansConsult,
            'numAcd'                => $numAcd,
            'numCSDerog'            => $numCSDerog,
            'numCSDerogTxt'         => $numCSDerogTxt,
        ];
    }
}
